gtkmm 3.24.10

Public Types | Public Member Functions | List of all members
Gtk::ChildPropertyProxy_WriteOnly< T > Class Template Reference

See ChildPropertyProxy(). More...

`#include <gtkmm/childpropertyproxy.h>`

Inheritance diagram for Gtk::ChildPropertyProxy_WriteOnly< T >:
[legend]

## Public Types
typedef T | PropertyType

## Public Member Functions
| ChildPropertyProxy_WriteOnly (Gtk::Container * parent, Gtk::Widget & child, const char * property_name)
void | set_value (const PropertyType & data)
| Set the value of this property in child.
void | reset_value ()
| Set the value of this property in child back to its default value.
ChildPropertyProxy_WriteOnly< T > & | operator= (const PropertyType & data)
Public Member Functions inherited from Gtk::ChildPropertyProxy_Base
| ChildPropertyProxy_Base (Container * parent, Widget & child, const char * property_name)
| ChildPropertyProxy_Base (const ChildPropertyProxy_Base & other)
SignalProxyChildProperty | signal_changed ()
Container * | get_parent () const
Widget & | get_child () const
const char * | get_name () const

## Additional Inherited Members
Protected Member Functions inherited from Gtk::ChildPropertyProxy_Base
void | set_property_ (const Glib::ValueBase & value)
void | get_property_ (Glib::ValueBase & value) const
void | reset_property_ ()
Protected Attributes inherited from Gtk::ChildPropertyProxy_Base
Container * | parent_
Widget & | child_
const char * | property_name_

## Detailed Description

template<class T>
class Gtk::ChildPropertyProxy_WriteOnly< T >

See ChildPropertyProxy().

This property can be written, but not read, so there is no get_value() method.

## Member Typedef Documentation

## ◆ PropertyType

template <class T>

typedef T Gtk::ChildPropertyProxy_WriteOnly< T >::PropertyType

## Constructor & Destructor Documentation

## ◆ ChildPropertyProxy_WriteOnly()

template <class T>

Gtk::ChildPropertyProxy_WriteOnly< T >::ChildPropertyProxy_WriteOnly | ( | Gtk::Container * | parent,
|  | Gtk::Widget & | child,
|  | const char * | property_name )
| inline

## Member Function Documentation

## ◆ operator=()

template <class T>

ChildPropertyProxy_WriteOnly< T > & Gtk::ChildPropertyProxy_WriteOnly< T >::operator= | ( | const PropertyType & | data | ) |
| inline

## ◆ reset_value()

template <class T>

void Gtk::ChildPropertyProxy_WriteOnly< T >::reset_value | ( |  | ) |
| inline

Set the value of this property in child back to its default value.

## ◆ set_value()

template <class T>

void Gtk::ChildPropertyProxy_WriteOnly< T >::set_value | ( | const PropertyType & | data | ) |

Set the value of this property in child.

Parameters

  data | The new value for the property.